ruyi(1)

NAME
ruyi - RuyiSDK Package Manager

SYNOPSIS
 usage: ruyi [-h] [-V] [--porcelain]
          {admin,device,venv,extract,install,i,uninstall,remove,rm,list,news,repo,update,telemetry,self,config,version} ...

DESCRIPTION
The package manager for RuyiSDK.

OPTIONS

-h, --help
    show this help message and exit

-V, --version
    Print version information

--porcelain
    Give the output in a machine-friendly format if applicable

subcommands: {admin,device,venv,extract,install,i,uninstall,remove,rm,list,news,repo,update,telemetry,self,config,version}

    admin
        (NOT FOR REGULAR USERS) Subcommands for managing Ruyi repos

    device
        Manage devices

    venv
        Generate a virtual environment adapted to the chosen toolchain and profile

    extract
        Fetch package(s) then extract to current directory

    install (i)
        Install package from configured repository uninstall (remove, rm) Uninstall installed packages

    list
        List available packages in configured repository

    news
        List and read news items from configured repository

    repo
        Manage configured package repositories

    update
        Update RuyiSDK repo and packages

    telemetry
        Manage your telemetry preferences

    self
        Manage this Ruyi installation

    config
        Manage Ruyi's config options

    version
        Print version information